Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QtJambiInternal

    java.lang.Object
      com.trolltech.qt.QtJambiInternal

    public class QtJambiInternal

extends java.lang.Object

Field Summary
`static char` | `SignalPrefix`
`static char` | `SlotPrefix`

Constructor Summary
`QtJambiInternal()`

Method Summary
`static void` | `addSearchPathForResourceEngine(java.lang.String path)` Sets the path in which Qt Jambi should search for resource engines.
`static QNativePointer` | `byteArrayToNativePointer(byte[] data)`
`static java.lang.String` | `charPointerToString(QNativePointer np)`
`static void` | `connectSlotsByName(QObject object)` Dunno what to make of this, so I'm making it internal.
`static void` | `countExpense(java.lang.Class<?> cl, int cost, int limit)`
`static java.lang.String` | `cppSignalSignature(QSignalEmitter.AbstractSignal signal)`
`static java.lang.String` | `cppSignalSignature(QSignalEmitter signalEmitter, java.lang.String signalName)`
`static java.lang.Object` | `createExtendedEnum(int value, int ordinal, java.lang.Class<?> cl, java.lang.String name)`
`static void` | `disconnect(QSignalEmitter sender, java.lang.Object receiver)`
`static void` | `emitNativeSignal(QObject object, java.lang.String signalSignature, java.lang.String signalCppSignature, java.lang.Object[] args)`
`static java.lang.Object` | `fetchField(java.lang.Object owner, java.lang.Class<?> declaringClass, java.lang.String fieldName)`
`static java.lang.Object` | `fetchFieldNative(java.lang.Object owner, java.lang.reflect.Field field)`
`static QObject` | `findChild(QObject qobject, java.lang.Class<?> cl, java.lang.String name)`
`static java.util.List<QObject>` | `findChildren(QObject qobject, java.lang.Class<?> cl, QRegExp name)`
`static java.util.List<QObject>` | `findChildren(QObject qobject, java.lang.Class<?> cl, java.lang.String name)`
`static java.lang.Class<?>` | `findGeneratedSuperclass(java.lang.Object obj)` Returns the class of the most direct ancestor of `obj` that is an instance of a class generated by the Qt Jambi designer.
`static int` | `indexOfProperty(long nativeId, java.lang.String name)`
`static QNativePointer` | `intArrayToNativePointer(int[] data)`
`static boolean` | `isGeneratedClass(java.lang.Class<?> clazz)`
`static boolean` | `isImplementedInJava(java.lang.reflect.Method method)` Returns wether a class is an actual implementor of a function or if the function is simply a shell around a native implementation provided by default by the Qt Jambi bindings.
`static java.util.List<QtProperty>` | `properties(long nativeId)`
`static java.lang.Object` | `readSerializableJavaObject(QDataStream s)`
`static void` | `removeSearchPathForResourceEngine(java.lang.String path)` Removes `path` from the path in which Qt Jambi searches for resource engines.
`static void` | `resetQObjectSender(long receiver, long data)` Resets the current sender for the object in receiver.
`static int[]` | `resolveConversionSchema(java.lang.Class<?>[] inputParameterTypes, java.lang.Class<?>[] outputParameterTypes)`
`static QSignalEmitter` | `sender(QObject receiver)`
`static void` | `setField(java.lang.Object owner, java.lang.Class<?> declaringClass, java.lang.String fieldName, java.lang.Object newValue)`
`static boolean` | `setFieldNative(java.lang.Object owner, java.lang.reflect.Field field, java.lang.Object newValue)`
`static long` | `setQObjectSender(long receiver, long sender)` Sets the current QObject sender for receiver to sender.
`static void` | `setupDefaultPluginPath()`
`static void` | `threadCheck(QObject obj)`
`static byte` | `typeConversionCode(java.lang.Class<?> cls)`
`static QtProperty` | `userProperty(long nativeId)`
`static void` | `writeSerializableJavaObject(QDataStream s, java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SlotPrefix

    public static final char SlotPrefix

See Also:
  Constant Field Values

### SignalPrefix

    public static final char SignalPrefix

See Also:
  Constant Field Values

Constructor Detail

### QtJambiInternal

    public QtJambiInternal()

Method Detail

### setupDefaultPluginPath

    public static void setupDefaultPluginPath()

### resolveConversionSchema

    public static int[] resolveConversionSchema(java.lang.Class<?>[] inputParameterTypes,
                                                java.lang.Class<?>[] outputParameterTypes)

### typeConversionCode

    public static byte typeConversionCode(java.lang.Class<?> cls)

### setQObjectSender

    public static long setQObjectSender(long receiver,
                                        long sender)

  Sets the current QObject sender for receiver to sender. A function call to setQObjectSender must always be followed by a call to resetQObjectSender where the data returned from set is passed to reset

  Parameters:
    `receiver` - The receiver QObject
    `sender` - The sender QObject
  Returns:
    A magic data to be used in the following reset call.

### resetQObjectSender

    public static void resetQObjectSender(long receiver,
                                          long data)

  Resets the current sender for the object in receiver.

  Parameters:
    `receiver` - The receiver QObject.
    `data` - A magic value which must be the return value from the recent setQObjectSender call.

### disconnect

    public static void disconnect(QSignalEmitter sender,
                                  java.lang.Object receiver)

### sender

    public static QSignalEmitter sender(QObject receiver)

### findChildren

    public static java.util.List<QObject> findChildren(QObject qobject,
                                                       java.lang.Class<?> cl,
                                                       java.lang.String name)

### findChildren

    public static java.util.List<QObject> findChildren(QObject qobject,
                                                       java.lang.Class<?> cl,
                                                       QRegExp name)

### findChild

    public static QObject findChild(QObject qobject,
                                    java.lang.Class<?> cl,
                                    java.lang.String name)

### createExtendedEnum

    public static java.lang.Object createExtendedEnum(int value,
                                                      int ordinal,
                                                      java.lang.Class<?> cl,
                                                      java.lang.String name)

### countExpense

    public static void countExpense(java.lang.Class<?> cl,
                                    int cost,
                                    int limit)

### setField

    public static void setField(java.lang.Object owner,
                                java.lang.Class<?> declaringClass,
                                java.lang.String fieldName,
                                java.lang.Object newValue)

### setFieldNative

    public static boolean setFieldNative(java.lang.Object owner,
                                         java.lang.reflect.Field field,
                                         java.lang.Object newValue)

### fetchField

    public static java.lang.Object fetchField(java.lang.Object owner,
                                              java.lang.Class<?> declaringClass,
                                              java.lang.String fieldName)

### fetchFieldNative

    public static java.lang.Object fetchFieldNative(java.lang.Object owner,
                                                    java.lang.reflect.Field field)

### threadCheck

    public static void threadCheck(QObject obj)

### charPointerToString

    public static java.lang.String charPointerToString(QNativePointer np)

### intArrayToNativePointer

    public static QNativePointer intArrayToNativePointer(int[] data)

### byteArrayToNativePointer

    public static QNativePointer byteArrayToNativePointer(byte[] data)

### isImplementedInJava

    public static boolean isImplementedInJava(java.lang.reflect.Method method)

  Returns wether a class is an actual implementor of a function or if the function is simply a shell around a native implementation provided by default by the Qt Jambi bindings.

  Parameters:
    `method` - The function to match.
  Returns:
    wether the implements the function or not.

### connectSlotsByName

    public static void connectSlotsByName(QObject object)

  Dunno what to make of this, so I'm making it internal.

### addSearchPathForResourceEngine

    public static void addSearchPathForResourceEngine(java.lang.String path)

  Sets the path in which Qt Jambi should search for resource engines.

### removeSearchPathForResourceEngine

    public static void removeSearchPathForResourceEngine(java.lang.String path)

  Removes `path` from the path in which Qt Jambi searches for resource engines.

### findGeneratedSuperclass

    public static java.lang.Class<?> findGeneratedSuperclass(java.lang.Object obj)

  Returns the class of the most direct ancestor of `obj` that is an instance of a class generated by the Qt Jambi designer. It returns the class of the object itself if its class is generated by the designer.

### writeSerializableJavaObject

    public static void writeSerializableJavaObject(QDataStream s,
                                                   java.lang.Object o)

### isGeneratedClass

    public static boolean isGeneratedClass(java.lang.Class<?> clazz)

### emitNativeSignal

    public static void emitNativeSignal(QObject object,
                                        java.lang.String signalSignature,
                                        java.lang.String signalCppSignature,
                                        java.lang.Object[] args)

### cppSignalSignature

    public static java.lang.String cppSignalSignature(QSignalEmitter signalEmitter,
                                                      java.lang.String signalName)

### cppSignalSignature

    public static java.lang.String cppSignalSignature(QSignalEmitter.AbstractSignal signal)

### properties

    public static java.util.List<QtProperty> properties(long nativeId)

### indexOfProperty

    public static int indexOfProperty(long nativeId,
                                      java.lang.String name)

### userProperty

    public static QtProperty userProperty(long nativeId)

### readSerializableJavaObject

    public static java.lang.Object readSerializableJavaObject(QDataStream s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD